%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/digitalocean/godo
Version:                1.108.0

%gometa -L


%global common_description %{expand:
DigitalOcean Go API client.}

%global golicenses      LICENSE.txt
%global godocs          CHANGELOG.md CONTRIBUTING.md README.md

Name:           golang-github-digitalocean-godo
Release:    1%{?dist}
Summary:        DigitalOcean Go API client

License:        BSD-3-Clause and MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Tue Sep 03 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.108.0-1
- initial build
